Member Nodes - MNDeployment #8254

ABDS - Arctic Biodiversity Data Service (CAFF)
2018-01-26 19:23 - Amy Forrester

Status:
Priority:
Assignee:
Category:
Target version:
Latitude:
Longitude:

MN Description:

Base URL:
Nodeldentifier:
MN Tier:

Software stack:

Planning
Normal

Amy Forrester

65.68
-18.12

The Arctic Biodiversity Data Service
(ABDS) is the data-management
framework for the Conservation of Arctic
Flora and Fauna (CAFF), the biodiversity
working group of the Arctic Council, and
its programs and activities including the
Circumpolar Biodiversity Monitoring
Programme (CBMP). It is an online,
interoperable data management system
that serves as a focal point and common
platform for all CAFF programs and
projects as well as a dynamic source for
up-to-date circumpolar Arctic biodiversity
information and emerging trends.

https://abds.is/
urn:node:ABDS

Start date:
Due date:
% Done:

Estimated time:

MN_Date_Online:

Name:
Logo URL:

Date Upcoming:

Date Deprecated:

Information URL.:

Version:

2018-02-12

10%
0.00 hour

Arctic Biodiversity Data Service (ABDS

https://github.com/DataONEorg/member-
node-info/blob/master/production/graphic
s/originals/CAFF.png

https://www.caff.is/

Description

Conservation of Arctic Flora and Fauna (CAFF - www.caff.is) is the biodiversity working group of the Arctic Council. CAFF has a
focus on data management and its Arctic Biodiversity Data Service (ABDS - www.abds.is) serves as the Arctic node in GBIF, OBIS,
is the ARctic Biodiversity Observation Network in GEOBON etc

Subtasks:

Story # 8358: Discovery & Planning (CAFF)
Task # 8359: Initial Communications
Task # 8360: Feasibility Assessment
Task # 8523: CAFF: Technical Requirements & Design Planning
Task # 8531: Training & education
Story # 8521: CAFF: Testing & Development
Task # 8522: CAFF: MN Communications

In Progress
Closed
Closed

In Progress
New

New

In Progress

History

#1 - 2018-01-26 19:26 - Amy Forrester

1/26/2018: Tom Barry (tom@caff.is) contact via https://www.dataone.org/contact.

| work with the Conservation of Arctic Flora and Fauna (CAFF - www.caff.is) which is the biodiversity working group of the Arctic Council. CAFF
has a focus on data management and its Arctic Biodiversity Data Service (ABDS - www.abds.is) serves as the Arctic node in GBIF, OBIS, is the
ARctic Biodiversity Observation Network in GEOBON etc | was reading about your initiative and wondered if there was an interest from

DataONE to arrange a call to discuss potential cooperation.
#2 - 2018-01-30 21:59 - Amy Forrester
- % Done changed from 0 to 80

- Status changed from New to In Review

#3 - 2018-01-31 20:11 - Amy Forrester
- % Done changed from 80 to 10

- Status changed from In Review to Planning

#4 - 2018-04-03 17:43 - Amy Forrester

- Subject changed from Conservation of Arctic Flora and Fauna (CAFF) to CAFF - Conservation of Arctic Flora and Fauna

#5 - 2018-04-06 14:34 - Dave Vieglais

- Description updated

#6 - 2018-04-06 15:51 - Amy Forrester
- File MN Description-CAFF.docx added

#7 - 2018-04-11 16:08 - Amy Forrester

- Base URL changed from https://www.caff.is/ to https://abds.is/

- Information URL set to https://www.caff.is/

- Logo URL set to https.//github.com/DataONEorg/member-node-info/blob/master/production/graphics/originals/CAFF.png

- MN Description set to The Arctic Biodiversity Data Service (ABDS) is the data-management framework for the Conservation of Arctic Flora and
Fauna (CAFF), the biodiversity working group of the Arctic Council, and its programs and activities including the Circumpolar Biodiversity Monitoring
Programme (CBMP). It is an online, interoperable data management system that serves as a focal point and common platform for all CAFF programs
and projects as well as a dynamic source for up-to-date circumpolar Arctic biodiversity information and emerging trends.

- Longitude set to -18.12
- Latitude set to 65.68

#8 - 2018-04-11 20:36 - Amy Forrester
- Name set to Arctic Biodiversity Data Service (ABDS

- Subject changed from CAFF - Conservation of Arctic Flora and Fauna to ABDS - Arctic Biodiversity Data Service

#9 - 2018-04-13 13:38 - Amy Forrester
- Subject changed from ABDS - Arctic Biodiversity Data Service to ABDS - Arctic Biodiversity Data Service (CAFF)

#10 - 2018-05-02 20:07 - Amy Forrester
- Nodeldentifier set to urn:node:ABDS

#11 - 2019-09-10 12:48 - John Evans

| took a brief look at this. A "slendernodes" approach would be fairly easy.

There is an RSS feed available at http:/geo.abds.is/ipt/rss.do that provides links to the metadata documents and also provides publication dates.

There are 70 documents in total, EML 2.1.1 format. All but one validate. That one document that does not validate has a single invalid URL (has
embedded brackets, which violates RFC 2396, easily fixable).

#12 - 2019-09-10 20:09 - John Evans

| was somewhat mistaken, what | reported on was only part of the ABDS repository. There are two parts, the IPT part (described above), and also a
"Geonetwork" part. In the geonetwork part, there are 311 documents. There's some indication that geonetwork installations provide OAI-PMH
access, but I'm not smart enough to figure that out, apparently.

It wasn't too hard to figure out a REST access to the metadata, however. | was able to access all 311 documents programmatically. Most but not all
appear to have regular gmd format, but none of them validate due to a variety of issues. An example reported by our validation:

2019-09-10 16:00:58,483 - schema_org.xml_validator - INFO - Running validation against all format IDs.
2019-09-10 16:00:59,094 - schema_org.xml_validator - ERROR - XML document does not validate. Errors and warnin
gs:

<string>: Line 76: Element '{http://www.isotc2ll.org/2005/gco}Date': '' is not a valid value of the union ty
pe '{http://www.isotc2ll.org/2005/gco}Date_Type'.
<string>: Line 86: Element '{http://www.isotc2ll.org/2005/gco}Date': '' is not a valid value of the union ty

pe '{http://www.isotc2ll.org/2005/gco}Date_Type".
<string>: Line 268: Element '{http://www.opengis.net/gml}TimePeriod': This element is not expected. Expected
is one of ( {http://www.opengis.net/gml/3.2}AbstractTimePrimitive, {http://www.opengis.net/gml/3.2}TimeInstan
t, {http://www.opengis.net/gml/3.2}TimePeriod, {http://www.opengis.net/gml/3.2}TimeNode, {http://www.opengis.n
et/gml/3.2}TimeEdge ).

<string>: Line 363: Element '{http://www.isotc2ll.org/2005/gco}Date': '' is not a valid value of the union t
ype '{http://www.isotc21ll.0rg/2005/gco}Date_Type".
<string>: Line 376: Element '{http://www.isotc2ll.org/2005/gco}Boolean': 'undefined' is not a valid value of

the atomic type 'xs:boolean'.

This particular document can be accessed at
http://geo.abds.is/geonetwork/srv/eng/xml.metadata.get?id=518

Furthermore, 71 of the 311 appear to be a Dublin Core variant but still do not validate. Such an example can be found at
http://geo.abds.is/geonetwork/srv/eng/xml.metadata.get?id=2702350 . It appears to be something like OAI-DC?

#13 - 2019-09-17 14:31 - John Evans

The more | look at it, those 71 documents look like they could be translated into a valid document with format ID
http://ns.dataone.org/metadata/schema/onedcx/v1.0 , just like we are looking at with CUAHSI.

Files

MN Description-CAFF.docx 295 KB 2018-04-06 Amy Forrester
